#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "t_spi.h"
#include "t_iic.h"
#include "t_task.h"
#include "t_arg.h"
#include "t_list.h"
#include "t_key.h"
#include "t_oled.h"
#include "t_lvgl.h"
#include "t_tft.h"
#include "tool.h"
#include "sim_test.h"
#include <windows.h>
#include <stdint.h>

int main() {
    srand((unsigned) time(NULL));
//    int i = 1;
//    POUT((++i) + (++i));
//
//    char str[] = "123.456";
//    float result = Str2Float(str);
//    printf("Result: %.3f\n", result);
    Test_Run("SPI", Test_spi);
    Test_Run("IIC", Test_iic);
    Test_Run("ArgPase", Test_argpase);
    Test_Run("List", Test_List);
    Test_RunTime("Key", Test_Key);
    Test_RunTime("Queue", Test_Queue);
    Test_RunTime("Task", Test_task);
    Test_RunTime("OLED", Test_OLED);
    Test_Run("LVGL", Test_lvgl);
    Test_RunTime("TFT", Test_tft);
    return 0;
}
